      DATA
; Special registers
;-------------------------- Bank 0 ------------------------------------------
      org 0

INDF    db  1
TMR0    db  1
PCL     db  1
STATUS  db  1
FSR     db  1
PORTA   db  1
PORTB   db  1
PORTC   db  1
        db  2
PCLATH  db  1
INTCON  db  1
PIR1    db  1
PIR2    db  1
TMR1    dw  1
T1CON   db  1
TMR2    db  1
T2CON   db  1
SSPBUF  db  1
SSPCON  db  1
CCPR1   dw  1
CCP1CON db  1
RCSTA   db  1
TXREG   db  1
RCREG   db  1
CCPR2   dw  1
CCP2CON db  1
ADRES   db  1
ADCON0  db  1

;-------------------------- Bank 1 ------------------------------------------
      org 0

        db  1
OPTION  db  1
        db  1
        db  1
        db  1
TRISA   db  1
TRISB   db  1
TRISC   db  1
        db  2
        db  1
        db  1
PIE1    db  1
PIE2    db  1
PCON    db  1
        db  1
        db  1
        db  1
PR2     db  1
SSPADD  db  1
SSPSTAT db  1
        dw  1
        db  1
TXSTA   db  1
SPBRG   db  1
        db  1
        dw  1
        db  1
        db  1
ADCON1  db  1
;----------------------------------------------------------------------------

; STATUS
rbC     = 0
rbDC    = 1
rbZ     = 2
rbPD    = 3
rbTO    = 4
rbRP0   = 5
rbRP1   = 6
rbIRP   = 7

; OPTION
; bits
rbPS0   = 0
rbPS1   = 1
rbPS2   = 2
rbPSA   = 3
rbT0SE  = 4
rbT0CS  = 5
rbINTEDG= 6
rbRBPU  = 7
; masks
rmPSA   = 00001000b
rmT0SE  = 00010000b
rmT0CS  = 00100000b
rmINTEDG= 01000000b
rmRBPU  = 10000000b

;INTCON
; bits
rbRBIF  = 0
rbINTF  = 1
rbT0IF  = 2
rbRBIE  = 3
rbINTE  = 4
rbT0IE  = 5
rbPEIE  = 6
rbGIE   = 7
; masks
rmRBIF  = 00000001b
rmINTF  = 00000010b
rmT0IF  = 00000100b
rmRBIE  = 00001000b
rmINTE  = 00010000b
rmT0IE  = 00100000b
rmPEIE  = 01000000b
rmGIE   = 10000000b

;PIR1, PIE1, PIR2, PIE2
; bits
rbTMR1IF = 0
rbTMR2IF = 1
rbCCP1IF = 2
rbSSPIF  = 3
rbTXIF   = 4
rbRCIF   = 5
rbADIF   = 6
rbCCP2IF = 0
; masks
rmTMR1IF = 00000001b
rmTMR2IF = 00000010b
rmCCP1IF = 00000100b
rmSSPIF  = 00001000b
rmTXIF   = 00010000b
rmRCIF   = 00100000b
rmADIF   = 01000000b
rmCCP2IF = 00000001b

;T1CON
; bits
rbTMR1ON = 0
rbT1CKPS = 4
; masks
rmTMR1ON  = 00000001b
rmTMR1CS  = 00000010b
rmT1SYNC  = 00000100b
rmT1OSCEN = 00001000b

;T2CON
; bits
rbT2CKPS  = 0
rbTMR2ON  = 2
rbT2OUTPS = 3
; masks
rmTMR2ON = 00000100b

;RCSTA
; bits
rbOERR = 1
rbFERR = 2
rbCREN = 4
rbSPEN = 7

;TXSTA
; bits
rbTXD8 = 0
rbTRMT = 1
rbBRGH = 2
rbSYNC = 4
rbTXEN = 5
rbTX89 = 6
rbCSRC = 7

;ADCON0
; bits
rbADGO = 2
rbCHS0 = 3
rbCHS1 = 4
rbCHS2 = 5
; masks
rmADON   = 00000001b
rmADCS8  = 01000000b
rmADCS32 = 10000000b
rmADCSRC = 11000000b
